Subject: Re: bug#20992: 25.0.50; `virtual-dired': (1) doc typo, (2) unclear

From: Michael Heerdegen <[email-masked]>
Date: Thu, 02 Dec 2021 17:25:52 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> It wasn't obvious to me, so please do go ahead and add that to the doc
> string.  😄

I...[loses courage] ok, but note this is not something I know, it is
something I did (and it seemed to work).  Are we sure that it doesn't
only work by accident most of the time?  For me this is just the, more
or less, only use case for virtual dired buffers: I can remember marks
by just saving a dired buffer and reopen it later with virtual-dired to
continue working with the files in it.

AFAIR this didn't ever work so super sexy - Emacs didn't recognize the
contents as (virtual) dired, I have to M-x virtual-dired explicitly, and
this command modifies the buffer (though it didn't touch the text), so I
have to save it again... I guess there is at least room for improvement
before we advertise this method in the docstring.

Michael.